> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of Telecom Duct Connections > Operation is used to get a list of Telecom Duct Connections. Available from 3.2.24 product version. Telecom Duct Connections can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /duct-connections/ { "info": { "contact": { "email": "keypro@keypro.fi", "name": "Keypro Oy", "url": "https://keypro.fi/" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "termsOfService": "https://www.keypro.fi/en/terms-of-service", "title": "KeyCom REST API", "version": "2.0.0" }, "tags": [ { "description": "Plan related operations.", "name": "Plan" }, { "description": "FreeArea related operations.", "name": "FreeArea" }, { "description": "FreeLine related operations.", "name": "FreeLine" }, { "description": "FreeText related operations.", "name": "FreeText" }, { "description": "FreeText component related operations.", "name": "FreeTextComponent" }, { "description": "Building address related operations.", "name": "Address" }, { "description": "Building apartments related operations.", "name": "Apartment" }, { "description": "Extra attributes related operations.", "name": "Extra Attribute" }, { "description": "Extra attribute values related operations.", "name": "Extra Value" }, { "description": "External documents related operations.", "name": "External Document" }, { "description": "Attached Documents related operations.", "name": "Attached Document" }, { "description": "Collection related operations.", "name": "Collections" }, { "description": "External source system derived apartment related operations.", "name": "Source system apartment" }, { "description": "External source system derived address related operations.", "name": "Source system address" }, { "description": "Address aliases related operations", "name": "Address alias" }, { "description": "TxtConstants related operations.", "name": "TxtConstant" }, { "description": "Point objects related operations.", "name": "Point" }, { "description": "Survey Constants related operations.", "name": "Survey Constant" }, { "description": "Survey Points related operations.", "name": "Survey Point" }, { "description": "Survey Line Strings related operations.", "name": "Survey Line String" }, { "description": "Template Catalog related operations.", "name": "Template Catalog" }, { "description": "Route following related operations.", "name": "Route Following" }, { "description": "Contact person related operations.", "name": "Contact Person" }, { "description": "Contact person connection related operations.", "name": "Contact Person Connection" }, { "description": "Telecom premises related operations.", "name": "Telecom premises" }, { "description": "Device related operations.", "name": "Device" }, { "description": "Device Group related operations.", "name": "Device Group" }, { "description": "Telecom Splice related operations.", "name": "Splice" }, { "description": "Telecom Conduit related operations.", "name": "Telecom Conduit" }, { "description": "Operations related to putting Telecom Cables and Ducts into Conduits.", "name": "Telecom Conduit Link" }, { "description": "Telecom Duct related operations.", "name": "Telecom Duct" }, { "description": "Operations related to putting Telecom Cables into Ducts.", "name": "Telecom Duct Link" }, { "description": "Operations related to connecting Conduits and endpoints.", "name": "Telecom Conduit Connection" }, { "description": "Operations related to connecting Cables and endpoints", "name": "Telecom Cable Connection" }, { "description": "Operations related to connecting and disconnecting telecom cable threads and device ports", "name": "Telecom Thread/Port Connection" }, { "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole.", "name": "Telecom Duct Connection" }, { "description": "Telecom Manhole related operations.", "name": "Manhole" }, { "description": "Telecom Cable related operations.", "name": "Cable" }, { "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted.", "name": "Cable Appendix" }, { "description": "Telecom Supercable related operations.", "name": "Supercable" }, { "description": "Cross connection point related operations.", "name": "Cross connection point" }, { "description": "Service Area related operations.", "name": "Service Area" }, { "description": "Exchange Area related operations.", "name": "Exchange Area" }, { "description": "Telecom Area related operations.", "name": "Telecom Area" }, { "description": "Routefollower related operations.", "name": "Routefollower" }, { "description": "Circuit related operations.", "name": "Circuit" }, { "description": "Circuit installation location related operations.", "name": "Circuit Location" }, { "description": "Circuit section related operations.", "name": "Circuit Section" }, { "description": "Circuit reservation data view and search operations.", "name": "Circuit Reservation Data" }, { "description": "Customer data related operations.", "name": "Customer" }, { "description": "Passed Services related operations.", "name": "Passed Services" }, { "description": "Circuit logical reservations related operations.", "name": "Circuit Connection" }, { "description": "Circuit physical reservations related operations.", "name": "Circuit Physical Reservation" }, { "description": "Operation used to create new connections.", "name": "Create connections" }, { "description": "Terminal types related operations.", "name": "Terminal type" }, { "description": "Logical connections related operations.", "name": "Logical connections" }, { "description": "Operations provided by micro services.", "name": "Circuit Services" }, { "description": "Contract related operations.", "name": "Contract" }, { "description": "Contract link related operations.", "name": "Contract Link" }, { "description": "Pole related operations.", "name": "Pole" }, { "description": "Circuit faults related operations.", "name": "Circuit faults" }, { "description": "Duct groups related operations.", "name": "Duct groups" }, { "description": "Duct group rows related operations.", "name": "Duct group rows" }, { "description": "Cable thread related operations.", "name": "Threads" }, { "description": "Task related operations.", "name": "Task" }, { "description": "Subregion related operations.", "name": "Subregion" }, { "description": "SAttribute related operations.", "name": "SAttribute" }, { "description": "Fault related operations.", "name": "Fault" }, { "description": "Maintenance history related operations.", "name": "Maintenance history" }, { "description": "Deflection related operations.", "name": "Deflection" }, { "description": "Fault Component related operations.", "name": "Fault Component" }, { "description": "Task comment related operations.", "name": "Task Comment" }, { "description": "FaultComponentFault related operations.", "name": "FaultComponentFault" } ], "paths": { "/duct-connections/": { "get": { "description": "Operation is used to get a list of Telecom Duct Connections. Available from 3.2.24 product version.\n\nTelecom Duct Connections can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "operationId": "getDuctConnections", "parameters": [ { "$ref": "#/parameters/offsetParam" }, { "$ref": "#/parameters/limitParam" }, { "$ref": "#/parameters/filterParam" }, { "$ref": "#/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object.", "examples": { "application/json": { "Next": "http://example.keycom.fi/api/v2/duct-connections/?limit=3&offset=3", "Previous": null, "Results": [ { "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_CONNECTION", "id": "1070", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_CONNECTION/", "logical_txt": "Mikroputki", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Mikroputki" }, "createdBy": "", "createdTs": null, "firstDuct": { "conduit": [ "http://example.keycom.fi/api/v2/conduits/910/" ], "ductType": { "availability_end_ts": null, "availability_start_ts": null, "color": "", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_FORM", "id": "90", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "num_value": "0.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Tavallinen" }, "id": "10", "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "listUrl": "http://example.keycom.fi/api/v2/duct-types/", "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_MATERIAL", "id": "7201", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Muovi" }, "orderNum": "0", "outerDiameter": "100.0", "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M100", "unitCost": null }, "hole": "0", "id": "1590", "identification": "", "installYear": "2005", "listUrl": "http://example.keycom.fi/api/v2/ducts/", "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_OWNER", "id": "4821", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_OWNER/", "logical_txt": "Loviisan puhelin", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Loviisan puhelin" }, "parent": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "sourceKey": null, "sourceSystem": null, "subductsNo": "0", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_STATE", "id": "650", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_STATE/", "logical_txt": "Käytössä", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } }, "firstSubductNo": null, "id": "130", "manhole": { "id": "150", "manholeId": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "MANHOLE_TYPE", "id": "1290", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_TYPE/", "logical_txt": "Profiilin muutoskohta", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Profiilin muutoskohta" }, "url": "http://example.keycom.fi/api/v2/manholes/150/" }, "premise": null, "secondDuct": { "conduit": [ "http://example.keycom.fi/api/v2/conduits/1170/" ], "ductType": { "availability_end_ts": null, "availability_start_ts": null, "color": "", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_FORM", "id": "90", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "num_value": "0.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Tavallinen" }, "id": "10", "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "listUrl": "http://example.keycom.fi/api/v2/duct-types/", "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_MATERIAL", "id": "7201", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Muovi" }, "orderNum": "0", "outerDiameter": "100.0", "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M100", "unitCost": null }, "hole": "0", "id": "2070", "identification": "", "installYear": "2005", "listUrl": "http://example.keycom.fi/api/v2/ducts/", "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_OWNER", "id": "4821", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_OWNER/", "logical_txt": "Loviisan puhelin", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Loviisan puhelin" }, "parent": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "sourceKey": null, "sourceSystem": null, "subductsNo": "0", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_STATE", "id": "650", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_STATE/", "logical_txt": "Käytössä", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } }, "secondSubductNo": null, "updatedBy": "", "updatedTs": null }, { "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_CONNECTION", "id": "1070", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_CONNECTION/", "logical_txt": "Mikroputki", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Mikroputki" }, "createdBy": "", "createdTs": null, "firstDuct": { "conduit": [ "http://example.keycom.fi/api/v2/conduits/1310/" ], "ductType": { "availability_end_ts": null, "availability_start_ts": null, "color": "", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_FORM", "id": "90", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "num_value": "0.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Tavallinen" }, "id": "10", "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "listUrl": "http://example.keycom.fi/api/v2/duct-types/", "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_MATERIAL", "id": "7201", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Muovi" }, "orderNum": "0", "outerDiameter": "100.0", "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M100", "unitCost": null }, "hole": "0", "id": "3030", "identification": "", "installYear": "2005", "listUrl": "http://example.keycom.fi/api/v2/ducts/", "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_OWNER", "id": "4821", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_OWNER/", "logical_txt": "Loviisan puhelin", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Loviisan puhelin" }, "parent": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "sourceKey": null, "sourceSystem": null, "subductsNo": "0", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_STATE", "id": "650", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_STATE/", "logical_txt": "Käytössä", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } }, "firstSubductNo": null, "id": "150", "manhole": { "id": "210", "manholeId": "EEEEEEEEEEE", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "MANHOLE_TYPE", "id": "1290", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_TYPE/", "logical_txt": "Profiilin muutoskohta", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Profiilin muutoskohta" }, "url": "http://example.keycom.fi/api/v2/manholes/210/" }, "premise": null, "secondDuct": { "conduit": [ "http://example.keycom.fi/api/v2/conduits/1290/" ], "ductType": { "availability_end_ts": null, "availability_start_ts": null, "color": "", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_FORM", "id": "90", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "num_value": "0.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Tavallinen" }, "id": "10", "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "listUrl": "http://example.keycom.fi/api/v2/duct-types/", "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_MATERIAL", "id": "7201", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Muovi" }, "orderNum": "0", "outerDiameter": "100.0", "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M100", "unitCost": null }, "hole": "0", "id": "3010", "identification": "", "installYear": "2005", "listUrl": "http://example.keycom.fi/api/v2/ducts/", "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_OWNER", "id": "4821", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_OWNER/", "logical_txt": "Loviisan puhelin", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Loviisan puhelin" }, "parent": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "sourceKey": null, "sourceSystem": null, "subductsNo": "0", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_STATE", "id": "650", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_STATE/", "logical_txt": "Käytössä", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } }, "secondSubductNo": null, "updatedBy": "", "updatedTs": null }, { "connectionType": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_CONNECTION", "id": "1070", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_CONNECTION/", "logical_txt": "Mikroputki", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Mikroputki" }, "createdBy": "", "createdTs": null, "firstDuct": { "conduit": [ "http://example.keycom.fi/api/v2/conduits/4930/" ], "ductType": { "availability_end_ts": null, "availability_start_ts": null, "color": "", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_FORM", "id": "90", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "num_value": "0.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Tavallinen" }, "id": "10", "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "listUrl": "http://example.keycom.fi/api/v2/duct-types/", "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_MATERIAL", "id": "7201", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Muovi" }, "orderNum": "0", "outerDiameter": "100.0", "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M100", "unitCost": null }, "hole": "0", "id": "9610", "identification": "", "installYear": "2005", "listUrl": "http://example.keycom.fi/api/v2/ducts/", "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_OWNER", "id": "4821", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_OWNER/", "logical_txt": "Loviisan puhelin", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Loviisan puhelin" }, "parent": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "sourceKey": null, "sourceSystem": null, "subductsNo": "0", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_STATE", "id": "650", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_STATE/", "logical_txt": "Käytössä", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } }, "firstSubductNo": null, "id": "170", "manhole": { "id": "230", "manholeId": "", "type": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "MANHOLE_TYPE", "id": "1290", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_TYPE/", "logical_txt": "Profiilin muutoskohta", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Profiilin muutoskohta" }, "url": "http://example.keycom.fi/api/v2/manholes/230/" }, "premise": null, "secondDuct": { "conduit": [ "http://example.keycom.fi/api/v2/conduits/1310/" ], "ductType": { "availability_end_ts": null, "availability_start_ts": null, "color": "", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_FORM", "id": "90", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "num_value": "0.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Tavallinen" }, "id": "10", "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "listUrl": "http://example.keycom.fi/api/v2/duct-types/", "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_MATERIAL", "id": "7201", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "num_value": null, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Muovi" }, "orderNum": "0", "outerDiameter": "100.0", "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M100", "unitCost": null }, "hole": "0", "id": "3030", "identification": "", "installYear": "2005", "listUrl": "http://example.keycom.fi/api/v2/ducts/", "owner": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_OWNER", "id": "4821", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_OWNER/", "logical_txt": "Loviisan puhelin", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Loviisan puhelin" }, "parent": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "sourceKey": null, "sourceSystem": null, "subductsNo": "0", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "DUCT_STATE", "id": "650", "list_url": "http://example.keycom.fi/api/v2/txt_constants/groupname/DUCT_STATE/", "logical_txt": "Käytössä", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } }, "secondSubductNo": null, "updatedBy": "", "updatedTs": null } ], "Total": "1358" } }, "schema": { "properties": { "Next": { "description": "Url to next page of Telecom Duct Connection list. Null if No next page exist", "format": "url", "type": "string" }, "Previous": { "description": "Url to previous page of Telecom Duct Connection list. Null if No previous page exist", "format": "url", "type": "string" }, "Results": { "description": "List of fetched Telecom Duct Connection", "items": { "$ref": "#/definitions/DuctConnection" }, "type": "array" }, "Total": { "description": "Total number of Telecom Duct Connections", "type": "integer" } }, "type": "object" } }, "401": { "$ref": "#/responses/Http401" } }, "security": [ { "Token": [] } ], "summary": "Get list of Telecom Duct Connections", "tags": [ "Telecom Duct Connection" ] } } } } ````